# mpi4py.MPI.Group

class mpi4py.MPI.Group

  Bases: `object`

  Group of processes.

  static __new__(cls, group=None)
    Parameters:

      group (Group | None)

    Return type:

      Self

  Methods Summary

  `Compare`(group) | Compare two groups.
  `Create_from_session_pset`(session, pset_name) | Create a new group from session and process set.
  `Difference`(group1, group2) | Create a new group from the difference of two existing groups.
  `Dup`() | Duplicate a group.
  `Excl`(ranks) | Create a new group by excluding listed members.
  `Free`() | Free a group.
  `Get_rank`() | Return the rank of this process in a group.
  `Get_size`() | Return the number of processes in a group.
  `Incl`(ranks) | Create a new group by including listed members.
  `Intersection`(group1, group2) | Create a new group from the intersection of two existing groups.
  `Range_excl`(ranks) | Create a new group by excluding ranges of members.
  `Range_incl`(ranks) | Create a new group by including ranges of members.
  `Translate_ranks`([ranks, group]) | Translate ranks in a group to those in another group.
  `Union`(group1, group2) | Create a new group from the union of two existing groups.
  `f2py`(arg) |
  `free`() | Call `Free` if not null or predefined.
  `fromhandle`(handle) | Create object from MPI handle.
  `fromint`(arg, /) | Translate integer handle to object.
  `py2f`() |
  `toint`() | Translate object to integer handle.

  Attributes Summary

  `handle` | MPI handle.
  `rank` | Rank of this process.
  `size` | Number of processes.

  Methods Documentation

  Compare(group)

    Compare two groups.

    Parameters:

      group (Group)

    Return type:

      int

  classmethod Create_from_session_pset(session, pset_name)

    Create a new group from session and process set.

    Parameters:

      - session (Session)

      - pset_name (str)

    Return type:

      Self

  classmethod Difference(group1, group2)

    Create a new group from the difference of two existing groups.

    Parameters:

      - group1 (Group)

      - group2 (Group)

    Return type:

      Self

  Dup()

    Duplicate a group.

    Return type:

      Self

  Excl(ranks)

    Create a new group by excluding listed members.

    Parameters:

      ranks (Sequence[int])

    Return type:

      Self

  Free()

    Free a group.

    Return type:

      None

  Get_rank()

    Return the rank of this process in a group.

    Return type:

      int

  Get_size()

    Return the number of processes in a group.

    Return type:

      int

  Incl(ranks)

    Create a new group by including listed members.

    Parameters:

      ranks (Sequence[int])

    Return type:

      Self

  classmethod Intersection(group1, group2)

    Create a new group from the intersection of two existing groups.

    Parameters:

      - group1 (Group)

      - group2 (Group)

    Return type:

      Self

  Range_excl(ranks)

    Create a new group by excluding ranges of members.

    Parameters:

      ranks (Sequence[tuple[int, int, int]])

    Return type:

      Self

  Range_incl(ranks)

    Create a new group by including ranges of members.

    Parameters:

      ranks (Sequence[tuple[int, int, int]])

    Return type:

      Self

  Translate_ranks(ranks=None, group=None)

    Translate ranks in a group to those in another group.

    Parameters:

      - ranks (Sequence[int] | None)

      - group (Group | None)

    Return type:

      list[int]

  classmethod Union(group1, group2)

    Create a new group from the union of two existing groups.

    Parameters:

      - group1 (Group)

      - group2 (Group)

    Return type:

      Self

  classmethod f2py(arg)
    Parameters:

      arg (int)

    Return type:

      Group

  free()

    Call `Free` if not null or predefined.

    Return type:

      None

  classmethod fromhandle(handle)

    Create object from MPI handle.

    Parameters:

      handle (int)

    Return type:

      Group

  classmethod fromint(arg, /)

    Translate integer handle to object.

    Parameters:

      arg (int)

    Return type:

      Group

  py2f()
    Return type:

      int

  toint()

    Translate object to integer handle.

    Return type:

      int

  Attributes Documentation

  handle

    MPI handle.

  rank

    Rank of this process.

  size

    Number of processes.